Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class PipelineNonFatalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.foundation.exception.ProcessingException
                      com.beasys.commerce.foundation.exception.PipelineNonFatalException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated Use com.bea.p13n.appflow.exception.PipelineException

    @Deprecated
    public class PipelineNonFatalException

extends ProcessingException

This class is the base class for all non-fatal Pipeline exceptions.

`PipelineNonFatalException`s or sub-classes of `PipelineNonFatalException` are to be thrown by classes that implement the `PipelineComponent` interface.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalog`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`PipelineNonFatalException(String messageKey)` Deprecated Class constructor taking the key of the associated catalog message.
`PipelineNonFatalException(String messageKey, Exception exception)` Deprecated Class constructor taking the key of the associated catalog message and an embedded exception.
`PipelineNonFatalException(String messageKey, Object argument)` Deprecated Class constructor taking the key of the associated catalog message and a message parameter substitution argument.
`PipelineNonFatalException(String messageKey, Object[] arguments)` Deprecated Class constructor taking the key of the associated catalog message and message parameter substitution arguments.
`PipelineNonFatalException(String messageKey, Object[] arguments, Exception exception)` Deprecated Class constructor taking the key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`PipelineNonFatalException(String namespace, String messageKey)` Deprecated Class constructor taking the namespace and key of the associated catalog message.
`PipelineNonFatalException(String namespace, String messageKey, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message and an embedded exception.
`PipelineNonFatalException(String namespace, String messageKey, Object argument)` Deprecated Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.
`PipelineNonFatalException(String namespace, String messageKey, Object[] arguments)` Deprecated Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.
`PipelineNonFatalException(String namespace, String messageKey, Object[] arguments, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`PipelineNonFatalException(String namespace, String messageKey, Object argument, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`setEmbeddedException`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipelineNonFatalException

    public PipelineNonFatalException(String messageKey)

  Deprecated
  Class constructor taking the key of the associated catalog message.

  Parameters
    `messageKey` - The associated catalog message key.

### PipelineNonFatalException

    public PipelineNonFatalException(String messageKey,
                                     Exception exception)

  Deprecated
  Class constructor taking the key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### PipelineNonFatalException

    public PipelineNonFatalException(String messageKey,
                                     Object argument)

  Deprecated
  Class constructor taking the key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### PipelineNonFatalException

    public PipelineNonFatalException(String namespace,
                                     String messageKey)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### PipelineNonFatalException

    public PipelineNonFatalException(String namespace,
                                     String messageKey,
                                     Object argument)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### PipelineNonFatalException

    public PipelineNonFatalException(String messageKey,
                                     Object[] arguments)

  Deprecated
  Class constructor taking the key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### PipelineNonFatalException

    public PipelineNonFatalException(String namespace,
                                     String messageKey,
                                     Object[] arguments)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### PipelineNonFatalException

    public PipelineNonFatalException(String namespace,
                                     String messageKey,
                                     Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### PipelineNonFatalException

    public PipelineNonFatalException(String namespace,
                                     String messageKey,
                                     Object argument,
                                     Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### PipelineNonFatalException

    public PipelineNonFatalException(String messageKey,
                                     Object[] arguments,
                                     Exception exception)

  Deprecated
  Class constructor taking the key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

### PipelineNonFatalException

    public PipelineNonFatalException(String namespace,
                                     String messageKey,
                                     Object[] arguments,
                                     Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.